Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.workbench.diagram
Class DiagramEditorHelper

public class DiagramEditorHelper
implements TransactionListener, ViewEditorHelper

This class is used to provide all neccessary changes and validations in diagram model.

Constructor Summary
`DiagramEditorHelper(Diagram diagram)`

Method Summary
`View` | `add(Object obj, Point location)` Should provides necessary changes in view and model if the view can be resized.
`boolean` | `addEdit(UndoableEdit ue)`
`boolean` | `canAccept(CompositeView composite, View view)`
`void` | `completeTransaction()`
`Object` | `createObject(Class type, Point pt)`
`Action[]` | `getActions()`
`boolean` | `isResizable(View view)`
`Dimension` | `moveView(View view, Dimension offset)` Should provides necessary changes in view and model if the view can be moved on the specified offset.
`void` | `register(ViewEditorPane viewEditor)`
`boolean` | `removeView(View view)` Should provides necessary changes in view and model if the view can removed.
`Dimension` | `resizeView(View view, Dimension size)` Should provides necessary changes in view and model if the view can be resized.
`void` | `startTransaction(TransactionEvent te)`

Constructor Detail

### DiagramEditorHelper

    public DiagramEditorHelper(Diagram diagram)

Method Detail

### add

    public View add(Object obj, Point location)

  Should provides necessary changes in view and model if the view can be resized.
  returns view for the specified object.

### addEdit

    public boolean addEdit(UndoableEdit ue)

### canAccept

    public boolean canAccept(CompositeView composite, View view)

  returns whether a specified view can be inserted to other view.

### completeTransaction

    public void completeTransaction()

### createObject

    public Object createObject(Class type, Point pt)

### getActions

    public Action[] getActions()

### isResizable

    public boolean isResizable(View view)

  returns whether a specified view can be resized.

### moveView

    public Dimension moveView(View view, Dimension offset)

  Should provides necessary changes in view and model if the view can be moved on the specified offset.
  returns shift on which the view was moved.
  pending find parent compartment if deepaestActive is not DiagramElement, transaction support and rollback if something break

### register

    public void register(ViewEditorPane viewEditor)

### removeView

    public boolean removeView(View view)

  Should provides necessary changes in view and model if the view can removed.
  returns whether the view was removed.
  pending exception processing

### resizeView

    public Dimension resizeView(View view, Dimension size)

  Should provides necessary changes in view and model if the view can be resized.
  returns new view size.

### startTransaction

    public void startTransaction(TransactionEvent te)

Association Links

to Class org.apache.log4j.Category

to Class biouml.model.Diagram

to Class biouml.model.SemanticController

to Class ru.biosoft.graphics.editor.ViewEditorPane

to Class ru.biosoft.access.DataCollectionUndoListener

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM